## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathParserException Class Reference

Exception class thrown when a problem parsing an XPath is encountered. More...

Inheritance diagram for XPathParserException:

[legend]
Collaboration diagram for XPathParserException:

[legend]
List of all members.

## Public Member Functions

- XPathParserException (const XalanDOMString &theMessage, const XalanDOMString &theURI, int theLineNumber, int theColumnNumber, MemoryManagerType &theManager)
    Constructor.
- XPathParserException (const LocatorType &theLocator, const XalanDOMString &theMessage, MemoryManagerType &theManager)
    Constructor.
- XPathParserException (const XalanDOMString &theMessage, MemoryManagerType &theManager)
    Constructor.
- virtual ~XPathParserException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Detailed Description

Exception class thrown when a problem parsing an XPath is encountered.

## Constructor & Destructor Documentation

XPathParserException::XPathParserException | ( | const XalanDOMString & | theMessage,
|  | const XalanDOMString & | theURI,
|  | int | theLineNumber,
|  | int | theColumnNumber,
|  | MemoryManagerType & | theManager
| ) |

  | Constructor. Parameters:
  theMessage | message to write when exception thrown
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document, or -1 if not known
  theColumnNumber | the column number of the related document, or -1 if not known
  theType | type of exception, default is "XPathParserException"

XPathParserException::XPathParserException | ( | const LocatorType & | theLocator,
|  | const XalanDOMString & | theMessage,
|  | MemoryManagerType & | theManager
| ) |

  | Constructor. Parameters:
  theLocator | The locator instance for error reporting.
  theMessage | message to write when exception thrown
  theType | type of exception, default is "XPathParserException"

XPathParserException::XPathParserException | ( | const XalanDOMString & | theMessage,
|  | MemoryManagerType & | theManager
| ) |

  | Constructor. Parameters:
  theMessage | message to write when exception thrown
  theType | type of exception, default is "XPathParserException"

virtual XPathParserException::~XPathParserException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* XPathParserException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XalanXPathException.

The documentation for this class was generated from the following file:

- XPathParserException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.